{ config, lib, modulesPath, pkgs, ... }:
let
  bluetoothSupport = config.sbruder.full;
in
lib.mkIf config.sbruder.gui.enable {
  sound.enable = true;
  security.rtkit.enable = true;
  services.pipewire = {
    enable = true;

    pulse.enable = true;
    jack.enable = true;
    alsa = {
      enable = true;
      support32Bit = true;
    };

    media-session = {
      config = {
        bluez-monitor = {
          "bluez5.enable-hw-volume" = true;
        };
      };
    };
  };

  environment.systemPackages = with pkgs; [
    helvum # patch panel
    pavucontrol
    pulseaudio # pacmd and pactl
  ];

  hardware.bluetooth.enable = lib.mkDefault bluetoothSupport;
  services.blueman.enable = lib.mkDefault bluetoothSupport;
}
